import { CalendarState, RangeCalendarState } from 'react-stately';

type CalendarHeaderProps = {
    state: CalendarState | RangeCalendarState;
    title?: string;
    showYearNavigation?: boolean;
};
declare function CalendarHeader({ state, showYearNavigation, title, }: CalendarHeaderProps): JSX.Element;
type CalendarNavigatorProps = {
    /** The unit of time you want to navigate with  */
    unit: "month" | "year";
    /** The text in the middle */
    title: string;
    /** Callback for when you click back */
    onPrevious: () => void;
    /** Callback for when you click forward */
    onNext: () => void;
    isNextDisabled: boolean;
    isPreviousDisabled: boolean;
};
declare const CalendarNavigator: ({ title, unit, onPrevious, isPreviousDisabled, onNext, isNextDisabled, }: CalendarNavigatorProps) => JSX.Element;

export { CalendarHeader, CalendarNavigator };
