'use strict';

var react = require('@chakra-ui/react');
var sporI18nReact = require('@vygruppen/spor-i18n-react');
var sporIconReact = require('@vygruppen/spor-icon-react');
var React = require('react');
var reactAria = require('react-aria');

// src/CalendarTriggerButton.tsx
var CalendarTriggerButton = (props) => {
  const { t } = sporI18nReact.useTranslation();
  const styles = react.useMultiStyleConfig("Datepicker", {});
  const ref = React.useRef(null);
  const { buttonProps } = reactAria.useButton(props, ref);
  return /* @__PURE__ */ React.createElement(react.PopoverAnchor, null, /* @__PURE__ */ React.createElement(
    react.Box,
    {
      ref,
      as: "button",
      type: "button",
      "aria-label": t(texts.openCalendar),
      sx: styles.calendarTriggerButton,
      ...buttonProps
    },
    /* @__PURE__ */ React.createElement(sporIconReact.CalendarOutline24Icon, null)
  ));
};
var texts = sporI18nReact.createTexts({
  openCalendar: {
    nb: "\xC5pne kalender",
    nn: "\xC5pne kalendar",
    sv: "\xD6ppna kalender",
    en: "Open calendar"
  }
});

exports.CalendarTriggerButton = CalendarTriggerButton;
