import { BoxProps, ResponsiveValue } from '@chakra-ui/react';
import { DateValue } from '@internationalized/date';
import { AriaDatePickerProps } from 'react-aria';

type DatePickerProps = AriaDatePickerProps<DateValue> & Pick<BoxProps, "minHeight"> & {
    variant: ResponsiveValue<"simple" | "with-trigger">;
    name?: string;
    showYearNavigation?: boolean;
};
/**
 * A date picker component.
 *
 * There are two versions of this component – a simple one, and one with a trigger button for showing the calendar. Use whatever fits your design.
 *
 * ```tsx
 * <DatePicker label="Dato" variant="simple" />
 * ```
 */
declare function DatePicker({ variant, errorMessage, minHeight, showYearNavigation, ...props }: DatePickerProps): JSX.Element;

export { DatePicker };
