import { BoxProps, ResponsiveValue } from '@chakra-ui/react';
import { DateValue } from '@internationalized/date';
import { AriaDateRangePickerProps } from 'react-aria';

type DateRangePickerProps = AriaDateRangePickerProps<DateValue> & Pick<BoxProps, "minHeight"> & {
    startLabel?: string;
    endLabel?: string;
    variant: ResponsiveValue<"simple" | "with-trigger">;
};
/**
 * A date range picker component.
 *
 * There are two versions of this component – a simple one, and one with a trigger button for showing the calendar. Use whatever fits your design.
 *
 * ```tsx
 * <DateRangePicker startLabel="From" endLabel="To" variant="simple" />
 * ```
 */
declare function DateRangePicker({ variant, minHeight, ...props }: DateRangePickerProps): JSX.Element;

export { DateRangePicker };
