'use strict';

var react = require('@chakra-ui/react');
var React = require('react');

// src/StyledField.tsx
var StyledField = react.forwardRef(
  ({ children, variant, ...otherProps }, ref) => {
    const { isInvalid } = react.useFormControlContext() ?? {
      isInvalid: false
    };
    const styles = react.useMultiStyleConfig("Datepicker", { variant });
    return /* @__PURE__ */ React.createElement(
      react.Box,
      {
        ...otherProps,
        __css: styles.wrapper,
        ref,
        "aria-invalid": isInvalid
      },
      children
    );
  }
);

exports.StyledField = StyledField;
