import { Time } from '@internationalized/date';
import { AriaTimeFieldProps } from '@react-aria/datepicker';
import { DateFieldState } from 'react-stately';

type TimeFieldProps = AriaTimeFieldProps<Time> & {
    state: DateFieldState;
    label: string;
    name?: string;
};
/** A time field component.
 *
 * This component lets the user choose a time based on regular user input.
 * It shouldn't be used directly, but is used by the TimePicker component.
 */
declare const TimeField: ({ state, ...props }: TimeFieldProps) => JSX.Element;

export { TimeField };
