import { $e3031d1f8c9d64eb$export$cb95147730a423f5, CalendarCell } from './chunk-GYC2IJAJ.mjs';
import { useCurrentLocale } from './chunk-KHLKL74E.mjs';
import { endOfMonth, getWeeksInMonth } from '@internationalized/date';
import { useTranslation } from '@vygruppen/spor-i18n-react';
import { Text } from '@vygruppen/spor-typography-react';
import React from 'react';

var weekDays = {
  nb: ["Ma", "Ti", "On", "To", "Fr", "L\xF8", "S\xF8"],
  nn: ["Ma", "Ti", "On", "To", "Fr", "L\xF8", "S\xF8"],
  sv: ["M\xE5", "Ti", "On", "To", "Fr", "L\xF6", "S\xF6"],
  en: ["Mo", "Tu", "We", "Th", "Fr", "Sa", "Su"]
};
function CalendarGrid({ state, offset = {} }) {
  const { language } = useTranslation();
  const locale = useCurrentLocale();
  const startDate = state.visibleRange.start.add(offset);
  const endDate = endOfMonth(startDate);
  const { gridProps, headerProps } = $e3031d1f8c9d64eb$export$cb95147730a423f5(
    {
      startDate,
      endDate
    },
    state
  );
  const weeksInMonth = getWeeksInMonth(state.visibleRange.start, locale);
  const weeksInMonthRange = new Array(weeksInMonth).fill(0).map((_, i) => i);
  return /* @__PURE__ */ React.createElement("table", { ...gridProps }, /* @__PURE__ */ React.createElement("thead", { ...headerProps }, /* @__PURE__ */ React.createElement("tr", null, weekDays[language].map((day, index) => /* @__PURE__ */ React.createElement(
    Text,
    {
      as: "th",
      key: index,
      color: index < 5 ? "darkGrey" : "greenHaze",
      variant: "sm"
    },
    day
  )))), /* @__PURE__ */ React.createElement("tbody", null, weeksInMonthRange.map((weekIndex) => /* @__PURE__ */ React.createElement("tr", { key: weekIndex }, state.getDatesInWeek(weekIndex, startDate).map(
    (date, dayIndex) => date ? /* @__PURE__ */ React.createElement(
      CalendarCell,
      {
        key: dayIndex,
        state,
        date,
        currentMonth: startDate
      }
    ) : /* @__PURE__ */ React.createElement("td", { key: dayIndex })
  )))));
}

export { CalendarGrid };
