import { forwardRef, useFormControlContext, useMultiStyleConfig, Box } from '@chakra-ui/react';
import React from 'react';

// src/StyledField.tsx
var StyledField = forwardRef(
  ({ children, variant, ...otherProps }, ref) => {
    const { isInvalid } = useFormControlContext() ?? {
      isInvalid: false
    };
    const styles = useMultiStyleConfig("Datepicker", { variant });
    return /* @__PURE__ */ React.createElement(
      Box,
      {
        ...otherProps,
        __css: styles.wrapper,
        ref,
        "aria-invalid": isInvalid
      },
      children
    );
  }
);

export { StyledField };
