import { parseTime } from '@internationalized/date';
import { useTranslation } from '@vygruppen/spor-i18n-react';

// src/utils.ts
var useCurrentLocale = () => {
  const { language } = useTranslation();
  switch (language) {
    case "nb":
      return "no";
    case "nn":
      return "no";
    case "sv":
      return "sv";
    case "en":
      return "en-GB";
    default:
      return "no";
  }
};
var getCurrentTime = () => {
  const now = new Date();
  return parseTime(now.toTimeString().split(" ")[0]);
};
var getTimestampFromTime = (time) => {
  return `${(time == null ? void 0 : time.hour) ?? 0}:${(time == null ? void 0 : time.minute) ?? 0}`;
};

export { getCurrentTime, getTimestampFromTime, useCurrentLocale };
