import { StyledField } from './chunk-GGGOLKUF.mjs';
import { Calendar } from './chunk-YMMGBN2K.mjs';
import { CalendarTriggerButton } from './chunk-LKODG3D6.mjs';
import { $ab5bf3f618090389$export$87194bb378cc3ac2, DateField } from './chunk-ZHGONZ4F.mjs';
import { $6057a3d2a53a12fd$export$42df105a73306d51 } from './chunk-6FHGNIDZ.mjs';
import { useCurrentLocale } from './chunk-KHLKL74E.mjs';
import { useFormControlContext, useBreakpointValue, Box, Popover, InputGroup, PopoverAnchor, Portal, PopoverContent, PopoverArrow, PopoverBody } from '@chakra-ui/react';
import { CalendarOutline24Icon } from '@vygruppen/spor-icon-react';
import { FormErrorMessage } from '@vygruppen/spor-input-react';
import React, { useRef } from 'react';
import { I18nProvider } from 'react-aria';

function DatePicker({
  variant,
  errorMessage,
  minHeight,
  showYearNavigation,
  ...props
}) {
  const formControlProps = useFormControlContext();
  const state = $ab5bf3f618090389$export$87194bb378cc3ac2({
    ...props,
    shouldCloseOnSelect: true,
    errorMessage,
    isRequired: props.isRequired ?? (formControlProps == null ? void 0 : formControlProps.isRequired),
    validationState: (formControlProps == null ? void 0 : formControlProps.isInvalid) ? "invalid" : "valid"
  });
  const ref = useRef(null);
  const {
    groupProps,
    labelProps,
    fieldProps,
    buttonProps,
    dialogProps,
    calendarProps,
    errorMessageProps
  } = $6057a3d2a53a12fd$export$42df105a73306d51(props, state, ref);
  const responsiveVariant = useBreakpointValue(typeof variant === "string" ? [variant] : variant) ?? "simple";
  const locale = useCurrentLocale();
  const handleEnterClick = (e) => {
    if (responsiveVariant === "simple" && e.key === "Enter" && !state.isOpen) {
      e.stopPropagation();
      state.setOpen(true);
    }
  };
  const onFieldClick = () => {
    if (!hasTrigger) {
      state.setOpen(true);
    }
  };
  const hasTrigger = responsiveVariant === "with-trigger";
  return /* @__PURE__ */ React.createElement(I18nProvider, { locale }, /* @__PURE__ */ React.createElement(Box, { position: "relative", display: "inline-flex", flexDirection: "column" }, /* @__PURE__ */ React.createElement(
    Popover,
    {
      ...dialogProps,
      isOpen: state.isOpen,
      onClose: () => state.setOpen(false),
      onOpen: () => state.setOpen(true),
      closeOnBlur: true,
      closeOnEsc: true,
      returnFocusOnClose: true
    },
    /* @__PURE__ */ React.createElement(
      InputGroup,
      {
        ...groupProps,
        ref,
        width: "auto",
        display: "inline-flex"
      },
      /* @__PURE__ */ React.createElement(PopoverAnchor, null, /* @__PURE__ */ React.createElement(
        StyledField,
        {
          variant: responsiveVariant,
          onClick: onFieldClick,
          onKeyPress: handleEnterClick,
          paddingX: 3,
          minHeight
        },
        !hasTrigger && /* @__PURE__ */ React.createElement(CalendarOutline24Icon, { marginRight: 2, alignSelf: "center" }),
        /* @__PURE__ */ React.createElement(
          DateField,
          {
            label: props.label,
            labelProps,
            name: props.name,
            ...fieldProps
          }
        )
      )),
      hasTrigger && /* @__PURE__ */ React.createElement(CalendarTriggerButton, { ...buttonProps })
    ),
    /* @__PURE__ */ React.createElement(FormErrorMessage, { ...errorMessageProps }, errorMessage),
    state.isOpen && !props.isDisabled && /* @__PURE__ */ React.createElement(Portal, null, /* @__PURE__ */ React.createElement(
      PopoverContent,
      {
        backgroundColor: "white",
        color: "darkGrey",
        boxShadow: "md"
      },
      /* @__PURE__ */ React.createElement(PopoverArrow, { backgroundColor: "white" }),
      /* @__PURE__ */ React.createElement(PopoverBody, null, /* @__PURE__ */ React.createElement(
        Calendar,
        {
          ...calendarProps,
          showYearNavigation
        }
      ))
    ))
  )));
}

export { DatePicker };
