import { RangeCalendar } from './chunk-JTF4TTKM.mjs';
import { StyledField } from './chunk-GGGOLKUF.mjs';
import { CalendarTriggerButton } from './chunk-LKODG3D6.mjs';
import { $93c38a5e28be6249$export$e50a61c1de9f574, DateField } from './chunk-ZHGONZ4F.mjs';
import { $887cac91b7cc8801$export$12fd5f0e9f4bb192 } from './chunk-6FHGNIDZ.mjs';
import { useCurrentLocale } from './chunk-KHLKL74E.mjs';
import { useFormControlContext, useBreakpointValue, useMultiStyleConfig, Box, FormLabel, Popover, InputGroup, PopoverAnchor, Portal, PopoverContent, PopoverArrow, PopoverBody } from '@chakra-ui/react';
import { CalendarOutline24Icon } from '@vygruppen/spor-icon-react';
import React, { useRef } from 'react';
import { I18nProvider } from 'react-aria';

function DateRangePicker({
  variant,
  minHeight,
  ...props
}) {
  const formControlProps = useFormControlContext();
  const state = $93c38a5e28be6249$export$e50a61c1de9f574({
    ...props,
    shouldCloseOnSelect: true,
    isRequired: props.isRequired ?? (formControlProps == null ? void 0 : formControlProps.isRequired),
    validationState: formControlProps.isInvalid ? "invalid" : "valid"
  });
  const ref = useRef(null);
  const {
    groupProps,
    labelProps,
    startFieldProps,
    endFieldProps,
    buttonProps,
    dialogProps,
    calendarProps
  } = $887cac91b7cc8801$export$12fd5f0e9f4bb192(props, state, ref);
  const responsiveVariant = useBreakpointValue(typeof variant === "string" ? [variant] : variant) ?? "simple";
  const styles = useMultiStyleConfig("Datepicker", {
    variant: responsiveVariant
  });
  const locale = useCurrentLocale();
  const handleEnterClick = (e) => {
    if (e.key === "Enter" && !state.isOpen && responsiveVariant === "simple") {
      e.stopPropagation();
      state.setOpen(true);
    }
  };
  const onFieldClick = () => {
    if (!hasTrigger) {
      state.setOpen(true);
    }
  };
  const hasTrigger = responsiveVariant === "with-trigger";
  return /* @__PURE__ */ React.createElement(I18nProvider, { locale }, /* @__PURE__ */ React.createElement(Box, { position: "relative", display: "inline-flex", flexDirection: "column" }, props.label && /* @__PURE__ */ React.createElement(FormLabel, { ...labelProps, sx: styles.inputLabel }, props.label), /* @__PURE__ */ React.createElement(
    Popover,
    {
      ...dialogProps,
      isOpen: state.isOpen,
      onClose: () => state.setOpen(false),
      closeOnBlur: true,
      closeOnEsc: true,
      returnFocusOnClose: true
    },
    /* @__PURE__ */ React.createElement(
      InputGroup,
      {
        ...groupProps,
        ref,
        width: "auto",
        display: "inline-flex"
      },
      /* @__PURE__ */ React.createElement(PopoverAnchor, null, /* @__PURE__ */ React.createElement(
        StyledField,
        {
          alignItems: "center",
          paddingX: 3,
          variant: responsiveVariant,
          onClick: onFieldClick,
          onKeyPress: handleEnterClick,
          minHeight
        },
        !hasTrigger && /* @__PURE__ */ React.createElement(CalendarOutline24Icon, { mr: 2, alignSelf: "center" }),
        /* @__PURE__ */ React.createElement(
          DateField,
          {
            ...startFieldProps,
            label: props.startLabel,
            labelProps
          }
        ),
        /* @__PURE__ */ React.createElement(Box, { as: "span", "aria-hidden": "true", px: "2" }, "\u2013"),
        /* @__PURE__ */ React.createElement(
          DateField,
          {
            ...endFieldProps,
            label: props.endLabel,
            labelProps
          }
        )
      )),
      hasTrigger && /* @__PURE__ */ React.createElement(CalendarTriggerButton, { ...buttonProps })
    ),
    state.isOpen && /* @__PURE__ */ React.createElement(Portal, null, /* @__PURE__ */ React.createElement(
      PopoverContent,
      {
        backgroundColor: "white",
        color: "darkGrey",
        boxShadow: "md",
        maxWidth: "none"
      },
      /* @__PURE__ */ React.createElement(PopoverArrow, { backgroundColor: "white" }),
      /* @__PURE__ */ React.createElement(PopoverBody, null, /* @__PURE__ */ React.createElement(RangeCalendar, { ...calendarProps }))
    ))
  )));
}

export { DateRangePicker };
