import * as _internationalized_date from '@internationalized/date';
import { CalendarDateTime } from '@internationalized/date';

/**
 * Returns the currently selected language as a BCF47 language tag.
 * This is useful for passing into the react-aria hooks
 */
declare const useCurrentLocale: () => "no" | "sv" | "en-GB";
/** Gets the current time as a Time object */
declare const getCurrentTime: () => _internationalized_date.Time;
/** Gets a readable timestamp from a given time object */
declare const getTimestampFromTime: (time: CalendarDateTime | null) => string;

export { getCurrentTime, getTimestampFromTime, useCurrentLocale };
