'use strict';

var date = require('@internationalized/date');
var sporI18nReact = require('@vygruppen/spor-i18n-react');

// src/utils.ts
var useCurrentLocale = () => {
  const { language } = sporI18nReact.useTranslation();
  switch (language) {
    case "nb":
      return "no";
    case "nn":
      return "no";
    case "sv":
      return "sv";
    case "en":
      return "en-GB";
    default:
      return "no";
  }
};
var getCurrentTime = () => {
  const now = new Date();
  return date.parseTime(now.toTimeString().split(" ")[0]);
};
var getTimestampFromTime = (time) => {
  return `${(time == null ? void 0 : time.hour) ?? 0}:${(time == null ? void 0 : time.minute) ?? 0}`;
};

exports.getCurrentTime = getCurrentTime;
exports.getTimestampFromTime = getTimestampFromTime;
exports.useCurrentLocale = useCurrentLocale;
